# Method: datafeedstatuses.custombatch

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#body.DatafeedstatusesCustomBatchResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#body.aspect)
- [DatafeedstatusesCustomBatchRequest](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequest)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequest.SCHEMA_REPRESENTATION)
- [DatafeedstatusesCustomBatchRequestEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequestEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequestEntry.SCHEMA_REPRESENTATION)
- [DatafeedstatusesCustomBatchResponseEntry](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchResponseEntry)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchResponseEntry.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#try-it)

Gets multiple Merchant Center datafeed statuses in a single request.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/datafeedstatuses/batch`

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequest`.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchResponseEntry`) } ], "kind": string } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchResponseEntry`)`` The result of the execution of the batch requests. |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string "`content#datafeedstatusesCustomBatchResponse`". |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## DatafeedstatusesCustomBatchRequest

| JSON representation |
|---|
| ``` { "entries": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequestEntry`) } ] } ``` |

| Fields ||
|---|---|
| `entries[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/custombatch#DatafeedstatusesCustomBatchRequestEntry`)`` The request entries to be processed in the batch. |

## DatafeedstatusesCustomBatchRequestEntry

A batch entry encoding a single non-batch datafeedstatuses request.

| JSON representation |
|---|
| ``` { "batchId": integer, "merchantId": string, "method": string, "datafeedId": string, "country": string, "feedLabel": string, "language": string } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` An entry ID, unique within the batch request. |
| `merchantId` | `string` The ID of the managing account. |
| `method` | `string` The method of the batch entry. Acceptable values are: - "`get`" <br /> |
| `datafeedId` | `string` The ID of the data feed to get. |
| `country` | `string` Deprecated. Use `feedLabel` instead. The country to get the datafeed status for. If this parameter is provided, then `language` must also be provided. Note that for multi-target datafeeds this parameter is required. |
| `feedLabel` | `string` The feed label to get the datafeed status for. If this parameter is provided, then `language` must also be provided. Note that for multi-target datafeeds this parameter is required. |
| `language` | `string` The language to get the datafeed status for. If this parameter is provided then `country` must also be provided. Note that for multi-target datafeeds this parameter is required. |

## DatafeedstatusesCustomBatchResponseEntry

A batch entry encoding a single non-batch datafeedstatuses response.

| JSON representation |
|---|
| ``` { "batchId": integer, "datafeedStatus": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses#DatafeedStatus`) }, "errors": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`) } } ``` |

| Fields ||
|---|---|
| `batchId` | `integer (https://developers.google.com/discovery/v1/type-format format)` The ID of the request entry this entry responds to. |
| `datafeedStatus` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses#DatafeedStatus`)`` The requested data feed status. Defined if and only if the request was successful. |
| `errors` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Errors`)`` A list of errors for failed custombatch entries. > [!NOTE] > **Note:** Schema errors fail the whole request. <br /> |